import os
import sys
import time
import urlparse
import xbmcaddon
import xbmcgui
import xbmc
import pyxbmct
import time
from pyxbmct.addonwindow import *

addon = xbmcaddon.Addon()
addonname   = addon.getAddonInfo('name')
addon_dir = addon.getAddonInfo('path')
msg_logo = os.path.join(addon_dir, 'resources', "msg_logo_.png")
SOUND_WELCOME = os.path.join(addon_dir, 'resources', 'media', "welcome.wav")
SOUND_RINGTONE = os.path.join(addon_dir, 'resources', 'media', "ringtone.wav")

pyxbmct.skin.estuary = True
xbmc.enableNavSounds(True)

if len(sys.argv) == 2 and sys.argv[1] == "welcome":
    xbmc.stopSFX()
    xbmc.playSFX(SOUND_WELCOME)
elif len(sys.argv) == 2 and sys.argv[1] == "ringtone":
    xbmc.stopSFX()
    xbmc.playSFX(SOUND_RINGTONE)
elif len(sys.argv) == 2 and sys.argv[1] != "MESSAGE":
    xbmc.stopSFX()
    xbmc.playSFX(sys.argv[1])
    #xbmc.executebuiltin('XBMC.Notification(HTTP link arrived ,try to play sound)')
elif len(sys.argv) > 2 and sys.argv[1] == "MESSAGE":
    #-Create a window instance.
    window = pyxbmct.AddonDialogWindow(sys.argv[2])
    #-Set the window width, height and the grid resolution: 2 rows, 3 columns.
    window.setGeometry(650, 170, 1, 5)
	#-Create a logo.
#    image = pyxbmct.Image(msg_logo)
    image = pyxbmct.Image(sys.argv[3])
    #-Create a text label.
    message = pyxbmct.Label(sys.argv[4], alignment=pyxbmct.ALIGN_CENTER)
#    message = pyxbmct.TextBox(sys.argv[3])
#    message.setAnimations([('WindowOpen', 'effect=fade start=0 end=100 time=2000',), ('WindowClose', 'effect=fade start=100 end=0 time=2000',)])
    #-Place the img on the window grid.
    window.placeControl(image, 0, 0)
    #-Place the label/textbox on the window grid.
    window.placeControl(message, 0, 1, rowspan=1, columnspan=4)
    window.show()
    time.sleep(7.0)
    window.close()
else:
    xbmc.executebuiltin('XBMC.Notification(ERROR ,have not correct data payload)')

